% Chapter_10_vibration_modes.m
%
% An Introduction to Partial Differential Equations with MATLAB
% Third Edition
% Chapter 10: PDEs in Higher Dimensions
% Section 10.2: The Heat and Wave Equations on a Rectangle; Multiple Fourier Series
%
%  2024 by Matthew P. Coleman and Vladislav Bukshtynov
% VladislavBukshtynov@yahoo.com
%

close all; clear; clc;
set(groot, 'DefaultFigureColormap', jet);

% Plotting Figure 10.4 for Section 10.2
a = 2; b = 3;
[x,y] = meshgrid(0:0.1:2,0:0.1:3);
for n = [1 2 3]
  for m = [1 2 3]
    v = sin(n*pi*x/a).*sin(m*pi*y/b);
    figure; surf(x,y,v);
    xlabel('x'); ylabel('y');
    set(gca,'FontSize',14); view([-32 12]); box off;
  end
end

% Plotting Figure 10.6 for Section 10.2
a = 1; b = 1;
[x,y] = meshgrid(0:0.05:1,0:0.05:1);
n = 1; m = 2;
v1 = sin(n*pi*x/a).*sin(m*pi*y/b);
figure; surf(x,y,v1);
xlabel('x'); ylabel('y');
set(gca,'FontSize',14); view([-32 12]); box off;
n = 2; m = 1;
v2 = sin(n*pi*x/a).*sin(m*pi*y/b);
figure; surf(x,y,v2);
xlabel('x'); ylabel('y');
set(gca,'FontSize',14); view([-32 12]); box off;

% Plotting Figure 10.7 for Section 10.2
figure; surf(x,y,-v1-v2);
xlabel('x'); ylabel('y');
set(gca,'FontSize',14); view([-32 12]); box off;
figure; surf(x,y,v1-v2);
xlabel('x'); ylabel('y');
set(gca,'FontSize',14); view([-32 12]); box off;
