% Chapter_4_sin_cos_properties.m
%
% An Introduction to Partial Differential Equations with MATLAB
% Third Edition
% Chapter 4: Fourier Series
% Section 4.2: Properties of Sine and Cosine
%
%  2024 by Matthew P. Coleman and Vladislav Bukshtynov
% VladislavBukshtynov@yahoo.com
%

close all; clear; clc;

% Plotting Figure 4.2 for Example 2
x = 0:0.01:10;           % spacial x-discretization (mesh)
y = sin(2*x) + cos(4*x); % defining function y(x)
figure(1); hold on;
plot(x,y,'-r','LineWidth',2.5); % plotting y(x)
box off;                        % various settings for graph
xlabel('$x$','Interpreter','latex');
ylabel('$y$','Interpreter','latex'); axis([0 10 -2.5 1.5]);
set(gca,'FontSize',14,'xTick',[0 pi/2 pi 3*pi/2 2*pi 5*pi/2 3*pi]);
set(gca,'xTickLabel',{'0' '\pi/2' '\pi' '3\pi/2' '2\pi' '5\pi/2' '3\pi'});

% Plotting Figure 4.5
x = -pi:0.01:pi;        % spacial x-discretization (mesh)
y = sin(2*x).*sin(4*x); % defining new function y(x)
figure(2); hold on;
plot(x,y,'-r','LineWidth',2.5);           % plotting y(x)
plot([-pi pi],[0 0],'--k','LineWidth',1); % plotting y = 0
box off;                                  % various settings for graph
xlabel('$x$','Interpreter','latex');
ylabel('$y$','Interpreter','latex'); axis([-pi pi -1 1]);
set(gca,'FontSize',14,'xTick',[-pi -pi/2 0 pi/2 pi]);
set(gca,'xTickLabel',{'-\pi' '-\pi/2' '0' '\pi/2' '\pi'});
